org.h2.util

## Class DoneFuture<T>

- java.lang.Object
- - org.h2.util.DoneFuture<T>

Type Parameters:
  `T` - Result value.

All Implemented Interfaces:
  java.util.concurrent.Future<T>

    public class DoneFuture<T>
    extends java.lang.Object
    implements java.util.concurrent.Future<T>

Future which is already done.

### Constructor Summary

Constructors
Constructor and Description
`DoneFuture(T x)`

### Method Summary

Methods
`boolean` `cancel(boolean mayInterruptIfRunning)`
`T` `get()`
`T` `get(long timeout, java.util.concurrent.TimeUnit unit)`
`boolean` `isCancelled()`
`boolean` `isDone()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DoneFuture

    public DoneFuture(T x)

### Method Detail

#### get

    public T get()
          throws java.lang.InterruptedException,
                 java.util.concurrent.ExecutionException

Specified by:
  `get` in interface `java.util.concurrent.Future<T>`
Throws:
  `java.lang.InterruptedException`
  `java.util.concurrent.ExecutionException`

#### get

    public T get(long timeout,
        java.util.concurrent.TimeUnit unit)
          throws java.lang.InterruptedException,
                 java.util.concurrent.ExecutionException,
                 java.util.concurrent.TimeoutException

Specified by:
  `get` in interface `java.util.concurrent.Future<T>`
Throws:
  `java.lang.InterruptedException`
  `java.util.concurrent.ExecutionException`
  `java.util.concurrent.TimeoutException`

#### isDone

    public boolean isDone()

Specified by:
  `isDone` in interface `java.util.concurrent.Future<T>`

#### cancel

    public boolean cancel(boolean mayInterruptIfRunning)

Specified by:
  `cancel` in interface `java.util.concurrent.Future<T>`

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `java.util.concurrent.Future<T>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`